The Jalview Executable's Command Line Arguments

See running Jalview from the command line for more information.

-nodisplay | Run Jalview without User Interface. (automatically disables questionnaire, version and usage stats checks)
-props FILE/URL | Use the given Jalview properties file instead of users default.
-features FILE/URL | Use the given file to add sequence features to an alignment. See Features File (Known as Groups file prior to 2.08) description.
-colour COLOURSCHEME | Set the colourscheme for the alignment. This can be any of the built-in colourschemes, a name of a predefined colourscheme (defined in the jalview properties file), or an 'inline' colourscheme (see the applet's colour parameter for more information).
-annotations FILE/URL | Add precalculated annotations to the alignment. See Annotation File description.
-tree FILE/URL | Load the given newick format tree file onto the alignment
-questionnaire URL | Queries the given URL for information about any Jalview user questionnaires
-noquestionnaire | Turn off questionnaire check
-nousagestats | Turn off google analytics usage tracking
-[no]sortbytree | Enable or disable automatic sorting of associated view when a new tree is displayed
-dasserver nickname=URL | Add and enable a DAS server with given nickname (alphanumeric or underscores only) for retrieval of features for all alignments Sources that also support the sequence command may be specified by prepending the URL with 'sequence:' e.g. sequence:http://localdas.somewhere.org/das/source
-fetchfrom nickname | Query a DAS source called nickname for features for the alignments and display them
-groovy FILE/URL | Execute groovy script in FILE (where FILE may be 'STDIN' to read from the standard input) after all other arguments have been processed
-vdoc VAMSAS DOCUMENT FILE/URL | Import the given vamsas document into a new session. New in 2.5
-vsess VAMSAS SESSION URL | Join the given vamsas session If a document was also specified, this will be imported first and then committed as new data from Jalview to the specified session (Experimental - not yet enabled!).New in 2.5
-fasta FILE | Create alignment file FILE in Fasta format.
-clustal FILE | Create alignment file FILE in Clustal format.
-msf FILE | Create alignment file FILE in MSF format.
-pileup FILE | Create alignment file FILE in Pileup format.
-pir FILE | Create alignment file FILE in PIR format.
-pfam FILE | Create alignment file FILE in PFAM format.
-blc FILE | Create alignment file FILE in BLC format.
-jalview FILE | Create alignment file FILE in Jalview format.
-png FILE | Create PNG image FILE from alignment.
-imgMap FILE | Create HTML file FILE with image map of PNG image.
-eps FILE | Create EPS file FILE from alignment.